<template>
  <div>
    <v-app>
      <v-container class="full-screen bi-401" fluid>
        <v-row align="end" style="height:100%">
          <v-col cols="12">
            <v-row justify="center">
              <v-col xl="6" lg="8" md="8" sm="10">
                <div class="text-center">
                  <h1 class="font-weight-black grey--text lighten-2 display-3">
                    <strong>Sesión terminada</strong>
                  </h1>
                  <span
                    class="bold title font-weight-black font-italic"
                  >¡Es necesario iniciar sesión para acceder!</span>
                  <p class="title">La sesión de la plataforma a terminado.</p>
                  <v-btn
                    width="50%"
                    class="ma-2"
                    dark
                    tile
                    depressed
                    color="primary"
                    @click="portal()"
                  >
                    <span class="bold">Ir al portal</span>
                  </v-btn>
                </div>
              </v-col>
            </v-row>
          </v-col>
        </v-row>
      </v-container>
    </v-app>
  </div>
</template>
<script>
import { mapState } from "vuex";
export default {
  name: "Component-Cache",
  computed: {
    ...mapState(["urlLogout"])
  },
  methods: {
    portal() {
      location.href = this.urlLogout;
    }
  }
};
</script>